com.fasterxml.jackson.dataformat.ion

## Class IonFactory

- java.lang.Object
- - com.fasterxml.jackson.core.JsonFactory
  - - com.fasterxml.jackson.dataformat.ion.IonFactory

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class IonFactory
      extends com.fasterxml.jackson.core.JsonFactory

  Sub-class of `JsonFactory` that will work on Ion content, instead of JSON content.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

      `com.fasterxml.jackson.core.JsonFactory.Feature`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_cfgCreateBinaryWriters` Whether we will produce binary or text Ion writers: default is textual.
    `static String` | `FORMAT_NAME_ION`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

      `_byteSymbolCanonicalizer, _characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `IonFactory()`
    `protected` | `IonFactory(IonFactory src, com.fasterxml.jackson.core.ObjectCodec oc)`
    `` | `IonFactory(com.fasterxml.jackson.core.ObjectCodec mapper)`
    `` | `IonFactory(com.fasterxml.jackson.core.ObjectCodec mapper, software.amazon.ion.IonSystem system)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IonGenerator` | `_createGenerator(software.amazon.ion.IonWriter ion, com.fasterxml.jackson.core.io.IOContext ctxt, Closeable dst)`
    `protected IonGenerator` | `_createGenerator(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc, boolean isManaged)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(byte[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(char[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt, boolean recyclable)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(InputStream in, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(Reader r, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected String` | `_readAll(Reader r, com.fasterxml.jackson.core.io.IOContext ctxt)` Deprecated.
    `boolean` | `canHandleBinaryNatively()`
    `boolean` | `canUseCharArrays()`
    `IonFactory` | `copy()`
    `boolean` | `createBinaryWriters()`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(File f, com.fasterxml.jackson.core.JsonEncoding enc)`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(software.amazon.ion.IonWriter out)`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc)`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(Writer out)`
    `com.fasterxml.jackson.core.JsonGenerator` | `createJsonGenerator(software.amazon.ion.IonWriter out)` Deprecated. Since 2.7
    `IonParser` | `createJsonParser(software.amazon.ion.IonReader in)` Deprecated. Since 2.7
    `IonParser` | `createJsonParser(software.amazon.ion.IonValue value)` Deprecated. Since 2.7
    `IonParser` | `createParser(software.amazon.ion.IonReader in)`
    `IonParser` | `createParser(software.amazon.ion.IonValue value)`
    `String` | `getFormatName()`
    `void` | `setCreateBinaryWriters(boolean b)`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

      `_checkInvalidCopy, _createContext, _createDataOutputWrapper, _createGenerator, _createParser, _createUTF8Generator, _createWriter, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, _optimizedStreamFromURL, canParseAsync, canUseSchema, configure, configure, configure, createGenerator, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createNonBlockingByteArrayParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getCodec, getFormatReadFeatureType, getFormatWriteFeatureType, getInputDecorator, getOutputDecorator, getRootValueSeparator, hasFormat, hasJSONFormat, isEnabled, isEnabled, isEnabled, readResolve, requiresCustomCodec, requiresPropertyOrdering, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_NAME_ION

          public static final String FORMAT_NAME_ION

      See Also:
        Constant Field Values

    - #### _cfgCreateBinaryWriters

          protected boolean _cfgCreateBinaryWriters

      Whether we will produce binary or text Ion writers: default is textual.

  - ### Constructor Detail

    - #### IonFactory

          public IonFactory()

    - #### IonFactory

          public IonFactory(com.fasterxml.jackson.core.ObjectCodec mapper)

    - #### IonFactory

          public IonFactory(com.fasterxml.jackson.core.ObjectCodec mapper,
                    software.amazon.ion.IonSystem system)

    - #### IonFactory

          protected IonFactory(IonFactory src,
                    com.fasterxml.jackson.core.ObjectCodec oc)

  - ### Method Detail

    - #### copy

          public IonFactory copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### getFormatName

          public String getFormatName()

      Overrides:
        `getFormatName` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### setCreateBinaryWriters

          public void setCreateBinaryWriters(boolean b)

    - #### createBinaryWriters

          public boolean createBinaryWriters()

    - #### canHandleBinaryNatively

          public boolean canHandleBinaryNatively()

      Overrides:
        `canHandleBinaryNatively` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### canUseCharArrays

          public boolean canUseCharArrays()

      Overrides:
        `canUseCharArrays` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### createParser

          public IonParser createParser(software.amazon.ion.IonReader in)

      Since:
        2.7

    - #### createParser

          public IonParser createParser(software.amazon.ion.IonValue value)

      Since:
        2.7

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(software.amazon.ion.IonWriter out)

      Since:
        2.7

    - #### createJsonParser

          @Deprecated
          public IonParser createJsonParser(software.amazon.ion.IonReader in)

      Deprecated. Since 2.7

    - #### createJsonParser

          @Deprecated
          public IonParser createJsonParser(software.amazon.ion.IonValue value)

      Deprecated. Since 2.7

    - #### createJsonGenerator

          @Deprecated
          public com.fasterxml.jackson.core.JsonGenerator createJsonGenerator(software.amazon.ion.IonWriter out)

      Deprecated. Since 2.7

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(InputStream in,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(Reader r,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(char[] data,
                                                            int offset,
                                                            int len,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt,
                                                            boolean recyclable)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(byte[] data,
                                                            int offset,
                                                            int len,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(OutputStream out,
                                                                 com.fasterxml.jackson.core.JsonEncoding enc)
                                                                   throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(Writer out)
                                                                   throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(File f,
                                                                 com.fasterxml.jackson.core.JsonEncoding enc)
                                                                   throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _readAll

          @Deprecated
          protected String _readAll(Reader r,
                                   com.fasterxml.jackson.core.io.IOContext ctxt)
                             throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### _createGenerator

          protected IonGenerator _createGenerator(OutputStream out,
                                      com.fasterxml.jackson.core.JsonEncoding enc,
                                      boolean isManaged)
                                           throws IOException

      Throws:
        `IOException`

    - #### _createGenerator

          protected IonGenerator _createGenerator(software.amazon.ion.IonWriter ion,
                                      com.fasterxml.jackson.core.io.IOContext ctxt,
                                      Closeable dst)

Copyright © 2017 FasterXML. All rights reserved.